package com.hithomelabs.dsa.array.contains_duplicate;


public class SolutionTest {
    @Test
    void testSolve() {
        Solution solution = new Solution();

        // Test case 1: Example case with duplicates
        int[] nums1 = {1, 2, 3, 1};
        assertTrue(solution.containsDuplicate(nums1));

        // Test case 2: No duplicates
        int[] nums2 = {1, 2, 3, 4};
        assertFalse(solution.containsDuplicate(nums2));

        // Test case 3: All elements are the same
        int[] nums3 = {1, 1, 1, 1};
        assertTrue(solution.containsDuplicate(nums3));

        // Test case 4: Empty array
        int[] nums4 = {};
        assertFalse(solution.containsDuplicate(nums4));

        // Test case 5: Single element
        int[] nums5 = {1};
        assertFalse(solution.containsDuplicate(nums5));
    }
}
