package com.hithomelabs.dsa.array.container_with_most_water;

import static org.junit.jupiter.api.Assertions.assertEquals;

public class SolutionTest {
    @Test
    void testSolve() {
        Solution solution = new Solution();

        // Test case 1: Example case
        int[] heights1 = {1,8,6,2,5,4,8,3,7};
        assertEquals(49, solution.solve(heights1));

        // Test case 2: Minimum input
        int[] heights2 = {1, 1};
        assertEquals(1, solution.solve(heights2));

        // Test case 3: All heights are the same
        int[] heights3 = {4, 4, 4, 4};
        assertEquals(12, solution.solve(heights3));

        // Test case 4: Decreasing heights
        int[] heights4 = {5, 4, 3, 2, 1};
        assertEquals(6, solution.solve(heights4));

        // Test case 5: Increasing heights
        int[] heights5 = {1, 2, 3, 4, 5};
        assertEquals(6, solution.solve(heights5));
    }
}

